get

/v4/tokens/{id}

Get a token by its canonical id, or by the {chainId}-{address} shorthand. A token the database does not hold is a 404.

Path parameters

idstring
required

Query parameters

returnUnderlyingboolean

Responses

200
Response for status 200
Schema
object
idstring
required
Unique identifier for the token
namestring | null
required
Full name of the token
chainIdinteger
required
Chain Id
addressstring
required
Address
decimalsnumber
required
Number of decimals for the token
symbolstring
required
Symbol of the token
iconstring
required
URL to the token icon image
verifiedboolean
required
Whether the token is verified
isNativeboolean
required
Whether this is a native blockchain token
isTestboolean
required
Whether this is a test token
typeenum
required
Type of the token (TOKEN, PRETGE, POINT)TOKENPRETGEPOINT
pricenumber | nullCurrent price of the token in USD
updatedAtnumber | nullUnix timestamp of last price update
priceSourcestring | nullSource of the price information
displaySymbolstringCustom display symbol override
underlyingTokenIdstringIf this token is a wrapper, the ID of the underlying token
priceAlertDismissedAtnumber
priceAlertCountnumber
underlyingobject | null
idstringUnique identifier for the token
namestring | nullFull name of the token
chainIdintegerChain Id
addressstringAddress
decimalsnumberNumber of decimals for the token
symbolstringSymbol of the token
iconstringURL to the token icon image
verifiedbooleanWhether the token is verified
isNativebooleanWhether this is a native blockchain token
isTestbooleanWhether this is a test token
typeenumType of the token (TOKEN, PRETGE, POINT)TOKENPRETGEPOINT
pricenumber | nullCurrent price of the token in USD
updatedAtnumber | nullUnix timestamp of last price update
priceSourcestring | nullSource of the price information
displaySymbolstringCustom display symbol override
underlyingTokenIdstringIf this token is a wrapper, the ID of the underlying token
priceAlertDismissedAtnumber
priceAlertCountnumber
Example
{
  "id": "string",
  "name": "string",
  "chainId": 0,
  "address": "string",
  "decimals": 0,
  "symbol": "string",
  "icon": "string",
  "verified": false,
  "isNative": false,
  "isTest": false,
  "type": "TOKEN",
  "price": 0,
  "updatedAt": 0,
  "priceSource": "string",
  "displaySymbol": "string",
  "underlyingTokenId": "string",
  "priceAlertDismissedAt": 0,
  "priceAlertCount": 0,
  "underlying": {
    "id": "string",
    "name": "string",
    "chainId": 0,
    "address": "string",
    "decimals": 0,
    "symbol": "string",
    "icon": "string",
    "verified": false,
    "isNative": false,
    "isTest": false,
    "type": "TOKEN",
    "price": 0,
    "updatedAt": 0,
    "priceSource": "string",
    "displaySymbol": "string",
    "underlyingTokenId": "string",
    "priceAlertDismissedAt": 0,
    "priceAlertCount": 0
  }
}
get
https://api.merkl.xyz/v4/tokens/{id}
Merkl API
curl -X GET "https://api.merkl.xyz/v4/tokens/{id}"
Fill the required path parameter id to send.